aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorVeerabrahmam vr <veerabrahmam.vr@huawei.com>2012-09-06 06:29:16 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2012-09-10 12:04:09 +0100
commit357478b624b27fdfce25b6064b0f64717db75fa6 (patch)
treeb723c1c28c597016fc12af1253b00edad4c5c6b5 /scripts
parent7037f52909b8226d2afed4ac73c902d410afc112 (diff)
downloadopenembedded-core-contrib-357478b624b27fdfce25b6064b0f64717db75fa6.tar.gz
qemuimagetest: basic function to check bash exists
one test case to check bash command availability on qemu target. Signed-off-by: veerabrahmam <veerabrahmamvr@huawei.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/qemuimage-tests/systemusage/bash53
-rw-r--r--scripts/qemuimage-tests/tools/bash.sh17
2 files changed, 70 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/systemusage/bash b/scripts/qemuimage-tests/systemusage/bash
new file mode 100755
index 0000000000..fb9bb5cba2
--- /dev/null
+++ b/scripts/qemuimage-tests/systemusage/bash
@@ -0,0 +1,53 @@
+#!/bin/bash
+# on the target, check bash prompt is available or not
+# boot up the qemu target with `runqemu qemuxxx`,
+# then check bash.
+#
+# Author: veera <veerabrahmamvr@huawei.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+. $COREBASE/scripts/qemuimage-testlib
+
+TIMEOUT=400
+RET=1
+# Start qemu and check its network
+Test_Create_Qemu ${TIMEOUT}
+
+
+
+# If qemu network is up, check ssh service in qemu
+if [ $? -eq 0 ];then
+ Test_Info "Begin to Test SSH Service in Qemu"
+ Test_SSH_UP ${TARGET_IPADDR} ${TIMEOUT}
+ RET=$?
+else
+ RET=1
+fi
+
+# Check bash is working fine or not
+if [ $RET -eq 0 -a -f $TOOLS/bash.sh ]; then
+ # Copy bash.sh into target
+ Test_Target_Pre ${TARGET_IPADDR} $TOOLS/bash.sh
+ if [ $? -eq 0 ]; then
+ # Run bash.sh to check if bash command available or not on the qemuxxx target
+ Test_SSH ${TARGET_IPADDR} "sh $TARGET_TEST_DIR/bash.sh"
+ RET=$?
+ else
+ RET=1
+ fi
+fi
+
+if [ ${RET} -eq 0 ]; then
+ Test_Info "bash Test PASS"
+ Test_Kill_Qemu
+ Test_Print_Result "bash" 0
+ exit 0
+else
+ Test_Info "bash Test FAIL, Pls. check above bash"
+ Test_Kill_Qemu
+ Test_Print_Result "bash" 1
+ exit 1
+fi
diff --git a/scripts/qemuimage-tests/tools/bash.sh b/scripts/qemuimage-tests/tools/bash.sh
new file mode 100644
index 0000000000..f6958f0e7e
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/bash.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# bash test script running in qemu
+#
+# Author: veera <veerabrahmamvr@huawei.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+which bash
+if [ $? -eq 0 ]; then
+ echo "QEMU: bash is exist in the target by default"
+ exit 0
+else
+ echo "QEMU: No bash command in the qemu target"
+ exit 1
+fi